Bug 55004 - Installer crashed: /bin/sh can not be run
Installer crashed: /bin/sh can not be run
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 03:37 EDT by Som-Som
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-22 11:46:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unhadled exception -> Save to disk (49.76 KB, text/plain)
2001-10-24 03:39 EDT, Som-Som
no flags Details
Using image on hard drive (deleted)
2001-10-29 04:55 EST, Som-Som
no flags Details
Using image on hard drive (deleted)
2001-10-29 04:56 EST, Som-Som
no flags Details

  None (edit)
Description Som-Som 2001-10-24 03:37:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.5) Gecko/20011011

Description of problem:
Upgrading RH 6.2 to 7.2 in both text and graphic mode failes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from RH7.2 CD-ROM
2. On prompt press enter or enter "text"
3. Click, click, click on default settings (I only allowed conversion from
ext2 to ext3).
	

Actual Results:  When installer looks for RPMs to be installed it stops on
an unhandled exception.

Expected Results:  Upgrade to RH7.2.

Additional info:

Configuration:
- PCChips 599LMR motherboard (SiS 530 is incorrectly detected as SiS 620 by
installer)
- 192MB RAM
- about 384MB swap on /dev/hda2
- Win98 on /dev/hda1, 3.5GB
- RH6.2 on /dev/hda3, 3.7BG
- CR-ROM = /dev/hdb
- CR-RW = /dev/hdc
Comment 1 Som-Som 2001-10-24 03:39:18 EDT
Created attachment 34861 [details]
Unhadled exception -> Save to disk
Comment 2 Brent Fox 2001-10-24 09:33:43 EDT
I suspect that something may be wrong with the cdrom.  Did you verify the
md5sums  of the ISOs before using them?
Comment 3 Som-Som 2001-10-25 10:25:17 EDT
I didn't check MD5 sum, because file tranfer between our local mirror (which was
MD5-checked) and the CD burner is very reliable.

I tried RH updating using VMWare and it crashed with CD reading error message.
But it is strange that mounting the CD and reading the files seems to be OK. But
installation failes using ISO image made from copied files, so I think that the
CD is broken.

The CD writer known to be a bit unreliable, so I will try again.
Comment 4 Brent Fox 2001-10-25 16:47:33 EDT
Ok.  Let me know how it goes.  Also, be aware that we do not officially support
installations with VMWare.  VMWare is closed source, so we have no way of
knowing what the problem is if something goes wrong.
Comment 5 Som-Som 2001-10-29 04:54:19 EST
It seems that VMWare crash has some unknown reason. Let's forget about VMWare.

I burned CD#1 again using md5sum-checked image, and diffed all files on CD with
reliable files. Everything seemed to be OK, but installing crashed the same way
as on my first attempt.

I re-created the ISO image by mkisofs and saved it on my hard drive. Booted
boot.img from floppy disk and set the image on hard-drive as installation
source. It crashed again. See the second attachment.
Comment 6 Som-Som 2001-10-29 05:02:16 EST
Creating attachment failed :-)
--
DBD::Oracle::st execute failed: ORA-01691: unable to extend lob segment
BUGZILLA.SYS_LOB0000003839C00008$$ by 972 in tablespace ENG_DATA02 (DBD ERROR:
OCILobTrim/OCILobWrite/LOB refetch) at
/var/www/bugzilla/bugzilla/createattachment.cgi line 124.
--

Here comes the log:
--
Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/text.py", line 408,
in run
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/dispatch.py", line
143, in gotoNext
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/dispatch.py", line
208, in moveStep
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/packages.py", line
101, in readPackages
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/harddrive.py", line
163, in readHeaders
  File "/usr/src/build/41637-i386/install//usr/lib/anaconda/harddrive.py", line
103, in mountMedia
KeyError: 1

Local variables in innermost frame:
self: <harddrive.HardDriveInstallMethod instance at 83dc6f0>
cdNum: 1


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'fdisk': 1, 'reconfigkeyboard': 1,
'authentication': 1, 'package-selection': 1, 'videocard': 1, 'handleX11pkgs': 1,
'partition': 1, 'reconfigcomplete': 1, 'language': 2, 'network': 1, 'monitor':
1, 'enablefilesystems': 1, 'xcustom': 1, 'confirminstall': 1, 'autopartition':
1, 'addswap': 1, 'indivpackage': 1, 'timezone': 1, 'keyboard': 2,
'makebootdisk': 1, 'accounts': 1, 'networkdevicecheck': 1, 'writexconfig': 1,
'partitionmethodsetup': 1, 'languagesupport': 1, 'partitiondone': 1, 'firewall':
1, 'autopartitionexecute': 1, 'partitionmethod': 1, 'writeksconfig': 1,
'writeconfig': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01', 'lat0-sun16'),
'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'), 'Italian (Italy)':
('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)': ('ar_LB', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Guatemala)': ('es_GT', 'iso01', 'lat0-sun16'),
'Malay (Malaysia)': ('ms_MY', 'iso01', 'lat0-sun16'), 'Arabic (Libyan Arab
Jamahiriya)': ('ar_LY', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM',
'iso06', 'LatArCyrHeb-16'), 'Arabic (Iraq)': ('ar_IQ', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Kuwait)': ('ar_KW', 'iso06', 'LatArCyrHeb-16'),
'English (South Africa)': ('en_ZA', 'iso01', 'lat0-sun16'), 'French
(Switzerland)': ('fr_CH', 'iso01', 'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH',
'iso06', 'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'),
'French (France)': ('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic
(Greenland)': ('kl_GL', 'iso01', 'lat0-sun16'), 'Korean (Republic of Korea)':
('ko_KR.eucKR', 'iso01', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u',
'cyr-sun16'), 'Spanish (Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek':
('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV', 'iso01',
'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 'iso01', 'lat0-sun16'), 'Spanish
(Honduras)': ('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)': ('es_CR',
'iso01', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 'iso01', 'lat0-sun16'),
'Dutch (Netherlands)': ('nl_NL@euro', 'iso15', 'lat0-sun16'), 'Serbian
(Yugoslavia)': ('sr_YU@cyrillic', 'iso05', 'cyr-sun16'), 'Bosnian (Bosnia and
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA',
'koi8-u', 'cyr-sun16'), 'Portuguese (Portugal)': ('pt_PT@euro', 'iso15',
'lat0-sun16'), 'Afrikaans (South Africa)': ('af_ZA', 'iso01', 'lat0-sun16'),
'Norwegian': ('no_NO', 'iso01', 'lat0-sun16'), 'Arabic (Morocco)': ('ar_MA',
'iso06', 'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH', 'iso01',
'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'),
'Indonesian': ('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK', 'iso01',
'lat0-sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01', 'lat0-sun16'),
'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-sun16'), 'Galician (Spain)':
('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New Zealand)': ('en_NZ',
'iso01', 'lat0-sun16'), 'Spanish (Bolivia)': ('es_BO', 'iso01', 'lat0-sun16'),
'Cornish (Britain)': ('kw_GB', 'iso01', 'lat0-sun16'), 'Arabic (United Arab
Emirates)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)':
('es_NI', 'iso01', 'lat0-sun16'), 'German (Austria)': ('de_AT@euro', 'iso15',
'lat0-sun16'), 'Romanian': ('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish
(Paraguay)': ('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)': ('he_IL',
'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': ('de_LU@euro', 'iso15',
'lat0-sun16'), 'Spanish (USA)': ('es_US', 'iso01', 'lat0-sun16'), 'Portuguese
(Brasil)': ('pt_BR', 'iso01', 'lat0-sun16'), 'Spanish (Equador)': ('es_EC',
'iso01', 'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak':
('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05', 'cyr-sun16'),
'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)':
('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': ('ar_SY',
'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-sun16'), 'Irish':
('ga_IE@euro', 'iso15', 'lat0-sun16'), 'Arabic (Jordan)': ('ar_JO', 'iso06',
'LatArCyrHeb-16'), 'Italian (Switzerland)': ('it_CH', 'iso01', 'lat0-sun16'),
'German (Belgium)': ('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': ('sq_AL',
'iso01', 'lat0-sun16'), 'Occitan (France)': ('oc_FR', 'iso01', 'lat0-sun16'),
'Finnish': ('fi_FI@euro', 'iso15', 'lat0-sun16'), 'Swedish (Sweden)': ('sv_SE',
'iso01', 'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01', 'lat0-sun16'),
'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)':
('es_PA', 'iso01', 'lat0-sun16'), 'Spanish (Venezuela)': ('es_VE', 'iso01',
'lat0-sun16'), 'English (Great Britain)': ('en_GB', 'iso01', 'lat0-sun16'),
'Russian': ('ru_RU.koi8r', 'koi8-u', 'cyr-sun16'), 'Norwegian, Nynorsk
(Norway)': ('nn_NO', 'iso01', 'lat0-sun16'), 'English (Zimbabwe)': ('en_ZW',
'iso01', 'lat0-sun16'), 'English (USA)': ('en_US', 'iso01', 'lat0-sun16'),
'Tagalog (Philipines)': ('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)':
('br_FR', 'iso01', 'lat0-sun16'), 'Chinese (P.R. of China)': ('zh_CN.GB2312',
'iso01', 'lat0-sun16'), 'Arabic (Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'),
'Basque (Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)':
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG', 'iso06',
'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15', 'lat0-sun16'),
'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'), 'Hungarian':
('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)': ('ar_TN', 'iso06',
'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro', 'iso15', 'lat0-sun16'),
'Japanese': ('ja_JP.eucJP', 'iso01', 'lat0-sun16'), 'Uzbek (Uzbekistan)':
('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish (Finland)': ('sv_FI@euro', 'iso15',
'lat0-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA', 'iso06', 'LatArCyrHeb-16'),
'Spanish (Dominican Republic)': ('es_DO', 'iso01', 'lat0-sun16'), 'French
(Canada)': ('fr_CA', 'iso01', 'lat0-sun16'), 'English (Canada)': ('en_CA',
'iso01', 'lat0-sun16'), 'German (Germany)': ('de_DE@euro', 'iso15',
'lat0-sun16'), 'Slovenian (Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'),
'Spanish (Uruguay)': ('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)':
('de_CH', 'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01', 'lat0-sun16'), 'Catalan
(Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto Rico)':
('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-sun16'),
'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic (Sudan)': ('ar_SD',
'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS', 'iso01', 'lat0-sun16'),
'English (Botswana)': ('en_BW', 'iso01', 'lat0-sun16'), 'Manx Gaelic (Britain)':
('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 8424690>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': us,
'Norwegian': no-latin1, 'Swedish': se-latin1, 'French': fr-latin1, 'Japanese':
jp106, 'Slovenian': slovene, 'Czech': cz-lat2, 'Ukrainian': ua, 'Spanish': es,
'German': de-latin1-nodeadkeys, 'Danish': us, 'Icelandic': is-latin1}
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian': cyr-sun16,
'English': default8x16, 'Norwegian': lat0-sun16, 'Swedish': lat0-sun16,
'French': lat0-sun16, 'Japanese': Kon, 'Slovenian': lat2-sun16, 'Czech':
lat2-sun16, 'Ukrainian': cyr-sun16, 'Spanish': lat0-sun16, 'German': lat0-16,
'Danish': lat0-sun16, 'Icelandic': lat0-sun16}
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian': ru_RU.koi8r,
'English': en_US, 'Norwegian': no_NO, 'Swedish': sv_SE, 'French': fr_FR,
'Japanese': ja_JP.eucJP, 'Slovenian': sl_SI, 'Czech': cs_CZ, 'Ukrainian': uk_UA,
'Spanish': es_ES, 'German': de_DE, 'Danish': da_DK, 'Icelandic': is_IS}
    langList: [Czech, Danish, English, French, German, Icelandic, Italian,
Japanese, Korean, Norwegian, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian': Europe/Moscow,
'English': America/New_York, 'Norwegian': Europe/Oslo, 'Swedish':
Europe/Stockholm, 'French': Europe/Paris, 'Japanese': Asia/Tokyo, 'Slovenian':
Europe/Ljubljana, 'Czech': Europe/Prague, 'Ukrainian': Europe/Kiev, 'Spanish':
Europe/Madrid, 'German': Europe/Berlin, 'Danish': Europe/Copenhagen,
'Icelandic': Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English': iso01,
'Norwegian': iso15, 'Swedish': iso15, 'French': iso15, 'Japanese': None,
'Slovenian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Spanish': iso15,
'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 8290260>]
Primary Video Card Info:
device: None
descr : Silicon Integrated Systems [SiS]|6306 3D-AGP
server: XF86_SVGA
cardManf: SiS
vidRam: 8192
carddata: {'SERVER': 'SVGA', 'UNSUPPORTED': '', 'DRIVER': 'sis', 'CHIPSET':
'SIS620', 'NAME': 'SiS 620', 'VENDOR': 'SiS', '': ''}
devID: SiS 620
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: fi
    manualModes: {}
    mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

    monlist: {}
    keyRules: xfree86
    keyModel: pc102
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
  videocard: device: None
descr : Silicon Integrated Systems [SiS]|6306 3D-AGP
server: XF86_SVGA
cardManf: SiS
vidRam: 8192
carddata: {'SERVER': 'SVGA', 'UNSUPPORTED': '', 'DRIVER': 'sis', 'CHIPSET':
'SIS620', 'NAME': 'SiS 620', 'VENDOR': 'SiS', '': ''}
devID: SiS 620
fbmodes: None
fbbpp: None

    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: pts0304
monName: None
monID: PTS0304
fbmonSect: 
monHoriz: 30 - 70
monVert: 50 - 150

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 1
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: []
    nextUniqueID: 6
    zeroMbr: 0
    autoClearPartType: 3
    requests: [mountpoint: None   type: None   uniqueID:1
  size: 0.0302734375M   requestSize: 0.0302734375M  grow: 0   max: None
  start: 1L   end: 62L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: vfat   uniqueID:2
  size: 3773.04785156M   requestSize: 3773.04785156M  grow: 0   max: None
  start: 63L   end: 7727264L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:3
  size: 384.367675781M   requestSize: 384.367675781M  grow: 0   max: None
  start: 7727265L   end: 8514449L   partnum: None
  drive: hda   primary: None  
  format: 1, options: None  device: hda2, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: ext2   uniqueID:4
  size: 3898.58642578M   requestSize: 3898.58642578M  grow: 0   max: None
  start: 8514450L   end: 16498754L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda3, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:5
  size: 7.47509765625M   requestSize: 7.47509765625M  grow: 0   max: None
  start: 16498755L   end: 16514063L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    autoClearPartDrives: None
    useFdisk: 0
    useAutopartitioning: 1
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 0
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {'hda1': ('DOS', 'DOS', 'FAT'), 'hda3': ('linux', 'Red Hat Linux',
'ext3')}
      default: hda3
    pure: None
    device: hda
    configfile: /etc/lilo.conf
    above1024: 1
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: hdc=ide-scsi
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: None
    arc: 0
    utcOffset: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 0
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': fi}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: [('hda3', 'ext2')]
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 5
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: ext2FileSystem instance, containing members:
        partedFileSystemType: <PedFileSystemType object at 81c7558>
        formattable: 1
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 1
        deviceArguments: {fsset.RAIDDevice: <unbound method RAIDDevice.ext2Args>}
        migratetofs: [ext3]
        name: ext2
        checked: 1
        partedPartitionFlags: []
        supported: -1
      mountcount: 1
      options: defaults
      order: 1
      mountpoint: /
      device: PartitionDevice instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: hda3
      label: None
      fsck: 1
      fsystem: ext3FileSystem instance, containing members:
        partedFileSystemType: <PedFileSystemType object at 81d5d08>
        formattable: 1
        extraFormatArgs: [-j]
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 1
        deviceArguments: {}
        migratetofs: None
        name: ext3
        checked: 1
        partedPartitionFlags: []
        supported: -1
      migrate: 1
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
        supported: 0
      mountcount: 1
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: FATFileSystem instance, containing members:
        partedFileSystemType: <PedFileSystemType object at 81e4b80>
        formattable: 1
        extraFormatArgs: []
        maxSize: 2048
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: vfat
        checked: 0
        partedPartitionFlags: []
        supported: -1
      mountcount: 1
      options: auto,user,rw
      order: 0
      mountpoint: /mnt/dos
      device: PartitionDevice instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: hda1
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      mountcount: 1
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: swapFileSystem instance, containing members:
        partedFileSystemType: <PedFileSystemType object at 8175ee0>
        formattable: 1
        extraFormatArgs: []
        maxSize: 2048
        defaultOptions: defaults
        linuxnativefs: 1
        deviceArguments: {}
        migratetofs: None
        name: swap
        checked: 0
        partedPartitionFlags: []
        supported: 1
      mountcount: 1
      options: defaults
      order: 0
      mountpoint: swap
      device: PartitionDevice instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: hda2
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of InstallInterface
instance at 82d63b8>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface instance
at 82d63b8>
    messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 82d63b8>
  hdList: None
firstStep: 0
method: HardDriveInstallMethod instance, containing members:
  fstype: vfat
  mediaIsMounted: 0
  fnames: {}
  isoDirIsMounted: 0
  isoDir: /mnt/sysimage/mnt/dos/
  path: /
  device: hda1
  tree: None
  discImages: {}
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 82d63b8>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0,
'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  showingHelpOnHelp: 0
  instLanguage: Already dumped
  welcomeText: Red Hat Linux (C) 2001 Red Hat, Inc.
  langSearchPath: [en_US, en, C]
  screen: SnackScreen instance, containing members:
    height: 25
    width: 80
    helpCb: <method InstallInterface.helpWindow of InstallInterface instance at
82d63b8>
step: 33
dispatch: Already dumped


/tmp/syslog:
<4>Linux version 2.4.7-10BOOT (bhcompile@stripples.devel.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.1 2.96-98)) #1 Thu Sep 6 16:15:00 EDT 2001
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000000b7f0000 (usable)
<4> BIOS-e820: 000000000b7f0000 - 000000000b7f8000 (ACPI data)
<4> BIOS-e820: 000000000b7f8000 - 000000000b800000 (ACPI NVS)
<4> BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
<4>On node 0 totalpages: 47088
<4>zone(0): 4096 pages.
<4>zone(1): 42992 pages.
<4>zone(2): 0 pages.
<4>No local APIC present or hardware disabled
<4>Kernel command line: initrd=initrd.img lang= text devfs=nomount
ramdisk_size=7168 BOOT_IMAGE=vmlinuz 
<6>Initializing CPU#0
<4>Detected 551.249 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 1101.00 BogoMIPS
<4>Memory: 181040k/188352k available (1114k kernel code, 5576k reserved, 89k
data, 104k init, 0k highmem)
<4>Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
<4>Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
<4>Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
<4>Buffer-cache hash table entries: 8192 (order: 3, 32768 bytes)
<4>Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
<7>CPU: Before vendor init, caps: 008021bf 808029bf 00000000, vendor = 2
<6>CPU: L1 I Cache: 32K (32 bytes/line), D cache 32K (32 bytes/line)
<7>CPU: After vendor init, caps: 008021bf 808029bf 00000000 00000002
<7>CPU:     After generic, caps: 008021bf 808029bf 00000000 00000002
<7>CPU:             Common caps: 008021bf 808029bf 00000000 00000002
<4>CPU: AMD-K6(tm) 3D processor stepping 0c
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: AMD K6
<4>PCI: PCI BIOS revision 2.10 entry at 0xfdb81, last bus=1
<4>PCI: Using configuration type 1
<4>PCI: Probing PCI hardware
<6>PCI: Using IRQ router SIS [1039/0008] at 00:01.0
<3>PCI: Cannot allocate resource region 9 of bridge 00:02.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Starting kswapd v1.8
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI
enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<4>block: queued sectors max/low 120016kB/40005kB, 384 slots per queue
<4>RAMDISK driver initialized: 16 RAM disks of 7168K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<4>SIS5513: IDE controller on PCI bus 00 dev 01
<4>PCI: No IRQ known for interrupt pin A of device 00:00.1. Please try using
pci=biosirq.
<4>SIS5513: chipset revision 208
<4>SIS5513: not 100% native mode: will probe irqs later
<4>SiS530
<4>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
<4>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
<4>hda: WDC WD84AA, ATA DISK drive
<4>hdb: BCD E520C, ATAPI CD/DVD-ROM drive
<4>hdc: Hewlett-Packard CD-Writer cd16n, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<6>hda: 16514064 sectors (8455 MB) w/2048KiB Cache, CHS=1027/255/63, UDMA(33)
<4>hdb: ATAPI 40X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>hdc: ATAPI 40X CD-ROM CD-R/RW drive, 2048kB Cache
<4>ide-floppy driver 0.97
<6>Partition check:
<6> hda: hda1 hda2 hda3
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.97
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<4>md: autorun ...
<4>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache hash table of 1024 buckets, 8Kbytes
<4>TCP: Hash tables configured (established 16384 bind 16384)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<4>Freeing initrd memory: 723k freed
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-ohci.c: USB OHCI at membase 0xcc029000, IRQ 9
<6>usb-ohci.c: usb-00:01.2, PCI device 1039:7001
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-ohci.c: v5.2:USB OHCI Host Controller Driver
<6>usb.c: registered new driver hid
<6>usb.c: registered new driver hiddev
<6>hid-core.c: v1.8 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<6>cdrom: open failed.
<6>cdrom: open failed.
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,1).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :   610.000 MB/sec
<4>   32regs    :   398.800 MB/sec
<4>   pII_mmx   :   687.600 MB/sec
<4>   p5_mmx    :   782.000 MB/sec
<4>raid5: using function: p5_mmx (782.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<7>ISO 9660 Extensions: RRIP_1991A
<6>cdrom: open failed.
<6>cdrom: open failed.
<6>Adding Swap: 393584k swap-space (priority -1)
--
Comment 7 Brent Fox 2001-10-31 00:29:04 EST
I have no idea what's going on here.  Why did you have to recreate the ISO?  Did
you blow away the one you downloaded after burning the cd?
Comment 8 Som-Som 2001-10-31 03:25:20 EST
I recreated the ISO, because it is almost impossible to download the original
image to my home computer, where I have the problem. I burned the CDs at my
workplace.
Comment 9 Brent Fox 2001-11-01 19:39:38 EST
Can you md5sum the ISO that you created?  Something may have gotten corrupted
while doing that.  I just want to make sure that we're not dealing with damaged
media here.
Comment 10 Brent Fox 2001-11-13 11:34:37 EST
Any more info here?
Comment 11 Som-Som 2001-11-14 04:07:48 EST
I didn't md5summed the image I created, because the created image can differ
from the original one (file order, boot info may be different).

I installed/updated the packages using rpm and I didn't experience any
problem... Well, it's not true. newaliases of sendmail does not work (starts,
but never stops) and KDevelop crashes on startup. But it can be some
misconfiguration problem.
Comment 12 Brent Fox 2001-11-20 13:21:42 EST
So can we consider the problem of the installer cleared up then?
Comment 13 Som-Som 2001-11-22 11:46:27 EST
I don't use the installer anymore, so the problem is solved. But the bug...
Comment 14 Brent Fox 2001-12-01 22:48:02 EST
I'm guessing that the problem was a bad cd, but it's hard to say for sure. 
Please reopen this report if you see this behavior again with different cds.

Note You need to log in before you can comment on or make changes to this bug.